Runtime

## org.eclipse.gmf.runtime.diagram.ui.tools
Class UnspecifiedTypeCreationTool

    java.lang.Object
      org.eclipse.gef.util.FlagSupport
          org.eclipse.gef.tools.AbstractTool
              org.eclipse.gef.tools.TargetingTool
                  org.eclipse.gef.tools.CreationTool
                      org.eclipse.gmf.runtime.diagram.ui.tools.CreationTool
                          org.eclipse.gmf.runtime.diagram.ui.tools.UnspecifiedTypeCreationTool

All Implemented Interfaces:
  RequestConstants, Tool

public class UnspecifiedTypeCreationTool
extends CreationTool

This specialized creation tool adds support for a multi-type creation tool. That is, the tool is given a list of element types and when the user completes the gesture, a popup appears asking the user to pick one of the element types to be created.

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.tools.AbstractTool
`AbstractTool.Input`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.tools.CreationTool
`antiScroll`

Fields inherited from class org.eclipse.gef.tools.CreationTool
`PROPERTY_CREATION_FACTORY`

Fields inherited from class org.eclipse.gef.tools.TargetingTool
`MAX_FLAG`

Fields inherited from class org.eclipse.gef.tools.AbstractTool
`MAX_STATE, MOUSE_BUTTON_ANY, MOUSE_BUTTON1, MOUSE_BUTTON2, MOUSE_BUTTON3, PROPERTY_UNLOAD_WHEN_FINISHED, STATE_ACCESSIBLE_DRAG, STATE_ACCESSIBLE_DRAG_IN_PROGRESS, STATE_DRAG, STATE_DRAG_IN_PROGRESS, STATE_INITIAL, STATE_INVALID, STATE_TERMINAL`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`UnspecifiedTypeCreationTool(java.util.List elementTypes)` Creates a new instance with a list of possible element types.

Method Summary
`protected Request` `createTargetRequest()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.tools.CreationTool
`createCreateRequest, createShapeAt, deactivate, doAutoexpose, getCommand, getElementType, getPreferencesHint, handleDoubleClick, handleFinished, handleKeyUp, handleMove, performCreation, revealEditPart, selectAddedObject, selectNewShapes, setTargetEditPart`

Methods inherited from class org.eclipse.gef.tools.CreationTool
`applyProperty, calculateCursor, getCommandName, getCreateRequest, getDebugName, getFactory, handleButtonDown, handleButtonUp, handleDragInProgress, handleDragStarted, handleFocusLost, handleHover, setFactory, updateTargetRequest`

Methods inherited from class org.eclipse.gef.tools.TargetingTool

`eraseTargetFeedback, getAutoexposeHelper, getExclusionSet, getTargetEditPart, getTargetingConditional, getTargetRequest, handleAutoexpose, handleEnteredEditPart, handleExitingEditPart, handleHoverStop, handleInvalidInput, handleLeavingEditPart, handleViewerExited, isShowingTargetFeedback, isTargetLocked, lockTargetEditPart, resetFlags, setAutoexposeHelper, setTargetRequest, showTargetFeedback, unlockTargetEditPart, updateAutoexposeHelper, updateTargetUnderMouse`

Methods inherited from class org.eclipse.gef.tools.AbstractTool

`activate, addFeedback, commitDrag, createOperationSet, debug, executeCommand, executeCurrentCommand, focusGained, focusLost, getCurrentCommand, getCurrentInput, getCurrentViewer, getDebugNameForState, getDefaultCursor, getDisabledCursor, getDomain, getDragMoveDelta, getLocation, getOperationSet, getStartLocation, getState, handleCommandStackChanged, handleDrag, handleFocusGained, handleKeyDown, handleKeyTraversed, handleNativeDragFinished, handleNativeDragStarted, handleViewerEntered, isActive, isHoverActive, isInState, isViewerImportant, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, movedPastThreshold, nativeDragFinished, nativeDragStarted, performViewerMouseWheel, reactivate, refreshCursor, releaseToolCapture, removeFeedback, setCurrentCommand, setCursor, setDefaultCursor, setDisabledCursor, setEditDomain, setHoverActive, setProperties, setStartLocation, setState, setToolCapture, setUnloadWhenFinished, setViewer, stateTransition, unloadWhenFinished, viewerEntered, viewerExited`

Methods inherited from class org.eclipse.gef.util.FlagSupport
`getFlag, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnspecifiedTypeCreationTool

    public UnspecifiedTypeCreationTool(java.util.List elementTypes)

  Creates a new instance with a list of possible element types.

Parameters:
  `elementTypes` - List of element types of which one will be created (of type `IElementType`).

Method Detail

### createTargetRequest

    protected Request createTargetRequest()

  Overrides:
    `createTargetRequest` in class `CreationTool`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.